import request from '@/utils/request'

// 查询属性组列表
export function listAttributeGroup(query) {
  return request({
    url: '/product/attributeGroup/list',
    method: 'get',
    params: query
  })
}

// 查询属性组详细
export function getAttributeGroup(id) {
  return request({
    url: '/product/attributeGroup/' + id,
    method: 'get'
  })
}

// 新增属性组
export function addAttributeGroup(data) {
  return request({
    url: '/product/attributeGroup',
    method: 'post',
    data: data
  })
}

// 修改属性组
export function updateAttributeGroup(data) {
  return request({
    url: '/product/attributeGroup/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除属性组
export function delAttributeGroup(id) {
  return request({
    url: '/product/attributeGroup/' + id,
    method: 'delete'
  })
}

//修改状态

export function changeStatus(data) {
  return request({
    url: '/product/attributeGroup/'+data.id,
    method: 'post',
    data: data
  })
}

